/**
 * Cloud Guard and Security Zones API
 * Use the Cloud Guard and Security Zones API to automate processes that you would otherwise perform through the Cloud Guard Console or the Security Zones Console. For more information on these services, see the [Cloud Guard](/iaas/cloud-guard/home.htm) and [Security Zones](/iaas/security-zone/home.htm) documentation.

**Note:** For Cloud Guard, you can perform Create, Update, and Delete operations only from the reporting region of your Cloud Guard tenancy. You can perform Read operations from any region.

 * OpenAPI spec version: 20200131
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Resource profile details
 */
export interface ResourceProfile {
    /**
     * Number of sightings associated with this resource profile Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "sightingsCount"?: number;
    /**
     * Unique identifier for resource profile
     */
    "id": string;
    /**
     * Unique identifier for resource profile
     */
    "resourceId": string;
    /**
     * Resource name for resource profile
     */
    "displayName": string;
    /**
     * Resource type for resource profile
     */
    "type": string;
    /**
     * List of Problems associated with the resource profile.
     */
    "problemIds"?: Array<string>;
    /**
     * Compartment Id for resource profile
     */
    "compartmentId": string;
    /**
     * Target Id for resource profile
     */
    "targetId"?: string;
    /**
     * Risk Score for the resource profile Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "riskScore": number;
    /**
     * Risk Level associated with resource profile
     */
    "riskLevel"?: model.RiskLevel;
    /**
     * Peak Risk Score for the resource profile Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "peakRiskScore"?: number;
    /**
     * The date and time for peak risk score. Format defined by RFC3339.
     */
    "timePeakScore"?: Date;
    /**
     * The date and time the resource profile was first detected. Format defined by RFC3339.
     */
    "timeFirstDetected": Date;
    /**
     * The date and time the resource profile was last detected. Format defined by RFC3339.
     */
    "timeLastDetected": Date;
    /**
     * List of tactic summary associated with the resource profile.
     */
    "tactics": Array<model.TacticSummary>;
}
export declare namespace ResourceProfile {
    function getJsonObj(obj: ResourceProfile): object;
    function getDeserializedJsonObj(obj: ResourceProfile): object;
}
