/**
 * Queue API
 * A description of the Queue API
 * OpenAPI spec version: 20210201
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * A message consumed from a queue.
 */
export interface GetMessage {
    /**
     * The id of the message - this is only used for tracing and debugging purposes and isn't used as a parameter in any request. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "id": number;
    /**
     * The content of the message
     */
    "content": string;
    /**
     * A receipt is a base64urlencode opaque token, uniquely representing a message.
     * The receipt can be used to delete a message or update its visibility.
     *
     */
    "receipt": string;
    /**
     * The number of time the message has been delivered to a consumer. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "deliveryCount": number;
    /**
     * The time after which the message will be visible to other consumers. An RFC3339 formatted datetime string
     */
    "visibleAfter": Date;
    /**
     * The time after which the message will be automatically deleted. An RFC3339 formatted datetime string
     */
    "expireAfter": Date;
}
export declare namespace GetMessage {
    function getJsonObj(obj: GetMessage): object;
    function getDeserializedJsonObj(obj: GetMessage): object;
}
